package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 教师统计总表
 */
@TableName("teacher_total")
@ApiModel(value = "TeacherTotal对象", description = "教师统计总表")
public class TeacherTotal implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("对应user表用户编号 ")
    @TableId(value = "user_id_")
    private Long userId;
    @ApiModelProperty("星级 ")
    @TableField(value = "star_grade_")
    private Double starGrade = 0.0;
    @ApiModelProperty("粉丝数 ")
    @TableField(value = "fans_num_")
    private Integer fansNum = 0;
    @ApiModelProperty("已上课时 ")
    @TableField(value = "exp_time_")
    private Integer expTime = 0;
    @ApiModelProperty("未上课时 ")
    @TableField(value = "un_exp_time_")
    private Integer unExpTime = 0;
    @ApiModelProperty("是否在直播 ")
    @TableField(value = "live_flag_")
    private Boolean liveFlag = false;
    @TableField(value = "update_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Double getStarGrade() {
        return starGrade;
    }

    public void setStarGrade(Double starGrade) {
        this.starGrade = starGrade;
    }

    public Integer getFansNum() {
        return fansNum;
    }

    public void setFansNum(Integer fansNum) {
        this.fansNum = fansNum;
    }

    public Integer getExpTime() {
        return expTime;
    }

    public void setExpTime(Integer expTime) {
        this.expTime = expTime;
    }

    public Integer getUnExpTime() {
        return unExpTime;
    }

    public void setUnExpTime(Integer unExpTime) {
        this.unExpTime = unExpTime;
    }

    public Boolean getLiveFlag() {
        return liveFlag;
    }

    public void setLiveFlag(Boolean liveFlag) {
        this.liveFlag = liveFlag;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

}